<html xmlns:th="https://www.thymeleaf.org">
<body>

	<div th:if="${message}">
		<h2 th:text="${message}"/>
	</div>

	<div>
		<form method="POST" enctype="multipart/form-data" action="/">
			<table>
				<tr><td>File to upload:</td><td><input type="file" name="file" /></td></tr>
				<tr><td></td><td><input type="submit" value="Upload" /></td></tr>
			</table>
		</form>
	</div>
	<ul>
		<li th:each="file : ${fileList}">
			<div th:text="${file}"></div>
			<a th:href="@{/files/{file}(file=${file})}" th:text="${'/files/'+file}"></a>
		</li>
	</ul>


</body>
</html>
